package com.yx.face.service;


import com.github.pagehelper.PageInfo;
import com.yx.face.boot.restful.RestDTO;
import com.yx.face.boot.restful.RestResult;
import com.yx.face.model.query.FaceDeviceQu;
import com.yx.face.model.query.SysLongTermDocumentsQu;
import com.yx.face.model.vo.SystemLongTermDocumentsVO;

import java.util.List;

public interface SystemLongTermDocumentsService {


    PageInfo<SystemLongTermDocumentsVO> getList(RestDTO<SysLongTermDocumentsQu> dto);

    Integer add(FaceDeviceQu qu);

    Integer delete(String sn);

    RestResult<String> singleIssue(Integer id);

    Boolean getByIdNumber(String idNumber);

}
